
package com.google.api.ads.adwords.jaxws.v201206.cm;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for InteractionBid.BidStatus.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="InteractionBid.BidStatus">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="FEE"/>
 *     &lt;enumeration value="BID"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "InteractionBid.BidStatus")
@XmlEnum
public enum InteractionBidBidStatus {


    /**
     * 
     *                 The {@code minimumBid} is used.
     *               
     * 
     */
    FEE,

    /**
     * 
     *                 The user specified {@code interactionBidAmount} is used when applicable.
     *               
     * 
     */
    BID;

    public String value() {
        return name();
    }

    public static InteractionBidBidStatus fromValue(String v) {
        return valueOf(v);
    }

}
