
package com.google.api.ads.adwords.jaxws.v201302.cm;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             This class represents a campaign which is or was linked to the parent budget object.
 *           
 * 
 * <p>Java class for AssociatedCampaign complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AssociatedCampaign">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="associatedCampaignName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="associatedCampaignId" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/>
 *         &lt;element name="associatedCampaignStatus" type="{https://adwords.google.com/api/adwords/cm/v201302}AssociatedCampaign.CampaignStatus" minOccurs="0"/>
 *         &lt;element name="budgetCampaignAssociationStatus" type="{https://adwords.google.com/api/adwords/cm/v201302}AssociatedCampaign.BudgetCampaignAssociationStatus" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AssociatedCampaign", propOrder = {
    "associatedCampaignName",
    "associatedCampaignId",
    "associatedCampaignStatus",
    "budgetCampaignAssociationStatus"
})
public class AssociatedCampaign {

    protected String associatedCampaignName;
    protected Long associatedCampaignId;
    protected AssociatedCampaignCampaignStatus associatedCampaignStatus;
    protected AssociatedCampaignBudgetCampaignAssociationStatus budgetCampaignAssociationStatus;

    /**
     * Gets the value of the associatedCampaignName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAssociatedCampaignName() {
        return associatedCampaignName;
    }

    /**
     * Sets the value of the associatedCampaignName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAssociatedCampaignName(String value) {
        this.associatedCampaignName = value;
    }

    /**
     * Gets the value of the associatedCampaignId property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getAssociatedCampaignId() {
        return associatedCampaignId;
    }

    /**
     * Sets the value of the associatedCampaignId property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setAssociatedCampaignId(Long value) {
        this.associatedCampaignId = value;
    }

    /**
     * Gets the value of the associatedCampaignStatus property.
     * 
     * @return
     *     possible object is
     *     {@link AssociatedCampaignCampaignStatus }
     *     
     */
    public AssociatedCampaignCampaignStatus getAssociatedCampaignStatus() {
        return associatedCampaignStatus;
    }

    /**
     * Sets the value of the associatedCampaignStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link AssociatedCampaignCampaignStatus }
     *     
     */
    public void setAssociatedCampaignStatus(AssociatedCampaignCampaignStatus value) {
        this.associatedCampaignStatus = value;
    }

    /**
     * Gets the value of the budgetCampaignAssociationStatus property.
     * 
     * @return
     *     possible object is
     *     {@link AssociatedCampaignBudgetCampaignAssociationStatus }
     *     
     */
    public AssociatedCampaignBudgetCampaignAssociationStatus getBudgetCampaignAssociationStatus() {
        return budgetCampaignAssociationStatus;
    }

    /**
     * Sets the value of the budgetCampaignAssociationStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link AssociatedCampaignBudgetCampaignAssociationStatus }
     *     
     */
    public void setBudgetCampaignAssociationStatus(AssociatedCampaignBudgetCampaignAssociationStatus value) {
        this.budgetCampaignAssociationStatus = value;
    }

}
