
package com.google.api.ads.adwords.jaxws.v201302.cm;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for FeedItemError.Reason.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="FeedItemError.Reason">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="CANNOT_CONVERT_ATTRIBUTE_VALUE_FROM_STRING"/>
 *     &lt;enumeration value="CANNOT_OPERATE_ON_DELETED_FEED_ITEM"/>
 *     &lt;enumeration value="DATE_TIME_MUST_BE_IN_ACCOUNT_TIME_ZONE"/>
 *     &lt;enumeration value="KEY_ATTRIBUTES_NOT_FOUND"/>
 *     &lt;enumeration value="INVALID_DEVICE_PREFERENCE"/>
 *     &lt;enumeration value="INVALID_SCHEDULE_END"/>
 *     &lt;enumeration value="INVALID_URL"/>
 *     &lt;enumeration value="MISSING_KEY_ATTRIBUTES"/>
 *     &lt;enumeration value="KEY_ATTRIBUTES_NOT_UNIQUE"/>
 *     &lt;enumeration value="CANNOT_MODIFY_KEY_ATTRIBUTE_VALUE"/>
 *     &lt;enumeration value="OVERLAPPING_SCHEDULES"/>
 *     &lt;enumeration value="SCHEDULE_END_NOT_AFTER_START"/>
 *     &lt;enumeration value="TOO_MANY_SCHEDULES_PER_DAY"/>
 *     &lt;enumeration value="UNKNOWN"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "FeedItemError.Reason")
@XmlEnum
public enum FeedItemErrorReason {

    CANNOT_CONVERT_ATTRIBUTE_VALUE_FROM_STRING,
    CANNOT_OPERATE_ON_DELETED_FEED_ITEM,
    DATE_TIME_MUST_BE_IN_ACCOUNT_TIME_ZONE,
    KEY_ATTRIBUTES_NOT_FOUND,
    INVALID_DEVICE_PREFERENCE,
    INVALID_SCHEDULE_END,
    INVALID_URL,
    MISSING_KEY_ATTRIBUTES,
    KEY_ATTRIBUTES_NOT_UNIQUE,
    CANNOT_MODIFY_KEY_ATTRIBUTE_VALUE,
    OVERLAPPING_SCHEDULES,
    SCHEDULE_END_NOT_AFTER_START,
    TOO_MANY_SCHEDULES_PER_DAY,
    UNKNOWN;

    public String value() {
        return name();
    }

    public static FeedItemErrorReason fromValue(String v) {
        return valueOf(v);
    }

}
